Subject: [Hubmib] Comments on draft-ietf-hubmib-efm-cu-mib-00.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 25 Feb 2004 15:06:30 +0200

please find below my comments on draft-ietf-hubmib-efm-cu-mib-00.txt

Regards,

Dan

A. Technical

A1. The MIB module does not compile cleanly. I suggest using one of the tools described in http://www.ops.ietf.org/mib-review-tools.html to check syntactic accuracy before the next round. I mentioned some of the errors below.

A1. macro `NOTIFICATION-TYPE' has not been imported from module `SNMPv2-SMI'

A2. Enumerated values are expected to be in ascending order - efmCuPmi10PPayloadURateProfile, efmCuPmi10PPayloadDRateProfile

A3. Gauge32 and transmission are imported and never used. 

A4. The compliance clauses are broken. Groups are defined and not referenced.

A5. All content and references need to be updated according to IEEE 802.3ah D3.1

A6 - The changes in the MAU MIB need to be brought to the WG, as they will need a Charter update

A7 - Need to specify whether non-volatile storage is required for values of objects with read-write MAX-ACCESS in tables

A8 - Need to specify default values for objects with read-write MAX-ACCESS

A9 - Not clear how efmCuPmiLinkDefect works. I think that there is a need for an object here. 

B. Editorial - Major

B1 - There are still formatting problems, especially concerning the maximum number of characters per line. Such problems in the MIB definition section do not allow for clean compilation of the text as it is in the draft.
B2 - References need to be included in a separate section.
B3 - It would help to add a 'Structure of the MIB' section
B4 - I recommend that we concentrate the 'mapping to Clause 30' statements in a separate section, out of the MIB module

C. Editorial - Minor

C1 - Change the affiliation of the WG chair to 'Avaya' from 'Avaya Inc.'